#!/usr/bin/python
##### Smerni diagrami bocne skupine v polarnih koordinatah - S53MV 10.2.2018 #####

import numpy as np		#uporabljene funkcije
import matplotlib.pyplot as plt

ff=np.linspace(0,2*np.pi,1440)	#korakanje po kotu theta

def bocna(ff,hh):		#smerni diagram bocne skupine
	return abs(np.cos(np.multiply(np.cos(ff),hh)))

r1=bocna(ff,np.pi/4)	#smerni diagrami za razlicne h
t1=r'h=$\lambda$/4'
r2=bocna(ff,np.pi/2)
t2=r'h=$\lambda$/2'
r3=bocna(ff,np.pi*3/4)
t3=r'h=3$\lambda$/4'
r4=bocna(ff,np.pi)
t4=r'h=$\lambda$'
r5=bocna(ff,np.pi*3/2)
t5=r'h=3$\lambda$/2'
r6=bocna(ff,np.pi*2)
t6=r'h=2$\lambda$'

def risba(a,y,x,ff,rf,tf):			#risba enega smernega diagrama
	a[y,x].set_theta_zero_location("N")
	a[y,x].plot(ff,rf)
	a[y,x].set_rticks([])
	a[y,x].set_thetagrids([0,90,180,270],labels=['z','',tf,'xy'],frac=1.15)
	return 0

f,a=plt.subplots(2,3,subplot_kw=dict(projection='polar'))	#risanje grafa funkcije
risba(a,0,0,ff,r1,t1)
risba(a,0,1,ff,r2,t2)
risba(a,0,2,ff,r3,t3)
risba(a,1,0,ff,r4,t4)
risba(a,1,1,ff,r5,t5)
risba(a,1,2,ff,r6,t6)
plt.show()

#konec programa

